Bug 135049 - Include subversion-javahl subpackage
Include subversion-javahl subpackage
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: subversion (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 05:50 EDT by Didier
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 14:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier 2004-10-08 05:50:14 EDT
Description of problem:

For Subclipse (http://subclipse.tigris.org), the Eclipse Subversion
plugin, the libsvnjavahl.so library is the preferred way to
communicate with an SVN repository.

This library is part of the Subversion JavaHL component.
The current subversion .spec file does not allow for building the
JavaHL component (see bug #134786).


RHEL is shipped with Eclipse, Java JDK and Subversion, resolving all
dependencies ; modification of the .spec file and the patch as
discussed in bug #134786 would allow for effortless SVN integration in
Eclipse.
Comment 1 Suzanne Hillman 2004-10-14 16:21:50 EDT
Internal RFE bug #135751 entered; will be considered for future releases.
Comment 2 Joe Orton 2007-06-06 14:21:07 EDT
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.